/*
 * RecuadrosMVCMainView.java
 */

package recuadrosmain;

import org.jdesktop.application.Action;
import org.jdesktop.application.ResourceMap;
import org.jdesktop.application.SingleFrameApplication;
import org.jdesktop.application.FrameView;
import org.jdesktop.application.TaskMonitor;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.Timer;
import javax.swing.Icon;
import javax.swing.JDialog;
import javax.swing.JFrame;

/**
 * The application's main frame.
 */
public class RecuadrosMVCMainView extends FrameView {

    ControladorRecuadros controlador;
    ModeloRecuadro modelo;

    public RecuadrosMVCMainView(SingleFrameApplication app) {
        super(app);

        initComponents();
        modelo=new ModeloRecuadro(0.0, 0.0);
        controlador=new ControladorRecuadros(modelo);

        vistaTextRecuadros.fijarControlador(controlador);
        vistaSliderRecuadros.fijarControlador(controlador);
        vistaExtraRecuadros.fijarControlador(controlador); // Parte Extra

        vistaTextRecuadros.fijarModelo(modelo);
        vistaSliderRecuadros.fijarModelo(modelo);
        vistaExtraRecuadros.fijarModelo(modelo); // Parte Extra
        // status bar initialization - message timeout, idle icon and busy animation, etc


        // connecting action tasks to status bar via TaskMonitor
    }


    @Action
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        mainPanel = new javax.swing.JPanel();
        vistaTextRecuadros = new recuadrosmain.VistaTextRecuadros();
        vistaSliderRecuadros = new recuadrosmain.VistaSliderRecuadros();
        vistaExtraRecuadros = new recuadrosmain.VistaExtraRecuadros();
        menuBar = new javax.swing.JMenuBar();
        javax.swing.JMenu fileMenu = new javax.swing.JMenu();
        javax.swing.JMenuItem exitMenuItem = new javax.swing.JMenuItem();

        mainPanel.setName("mainPanel"); // NOI18N

        vistaTextRecuadros.setName("vistaTextRecuadros"); // NOI18N

        vistaSliderRecuadros.setName("vistaSliderRecuadros"); // NOI18N

        vistaExtraRecuadros.setName("vistaExtraRecuadros"); // NOI18N

        org.jdesktop.layout.GroupLayout mainPanelLayout = new org.jdesktop.layout.GroupLayout(mainPanel);
        mainPanel.setLayout(mainPanelLayout);
        mainPanelLayout.setHorizontalGroup(
            mainPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(mainPanelLayout.createSequentialGroup()
                .addContainerGap()
                .add(vistaTextRecuadros, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(vistaSliderRecuadros, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(vistaExtraRecuadros, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        mainPanelLayout.setVerticalGroup(
            mainPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(mainPanelLayout.createSequentialGroup()
                .addContainerGap()
                .add(mainPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(vistaSliderRecuadros, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(vistaTextRecuadros, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(vistaExtraRecuadros, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(14, Short.MAX_VALUE))
        );

        menuBar.setName("menuBar"); // NOI18N

        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(recuadrosmain.RecuadrosMVCMainApp.class).getContext().getResourceMap(RecuadrosMVCMainView.class);
        fileMenu.setText(resourceMap.getString("fileMenu.text")); // NOI18N
        fileMenu.setName("fileMenu"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(recuadrosmain.RecuadrosMVCMainApp.class).getContext().getActionMap(RecuadrosMVCMainView.class, this);
        exitMenuItem.setAction(actionMap.get("quit")); // NOI18N
        exitMenuItem.setName("exitMenuItem"); // NOI18N
        fileMenu.add(exitMenuItem);

        menuBar.add(fileMenu);

        setComponent(mainPanel);
        setMenuBar(menuBar);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel mainPanel;
    private javax.swing.JMenuBar menuBar;
    private recuadrosmain.VistaExtraRecuadros vistaExtraRecuadros;
    private recuadrosmain.VistaSliderRecuadros vistaSliderRecuadros;
    private recuadrosmain.VistaTextRecuadros vistaTextRecuadros;
    // End of variables declaration//GEN-END:variables


}
